com.tibbo.aggregate.common.action.command

## Class Browse

- java.lang.Object
- - com.tibbo.aggregate.common.action.GenericActionCommand
  - - com.tibbo.aggregate.common.action.command.Browse

- All Implemented Interfaces:
    ActionCommand, java.lang.Cloneable

      public class Browse
      extends GenericActionCommand

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `CF_BROWSE_URI`
    `static TableFormat` | `CFT_BROWSE`

    - ### Fields inherited from class com.tibbo.aggregate.common.action.GenericActionCommand

      `CF_COMPONENT_LOCATION`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Browse()`
    `Browse(java.lang.String title, DataTable parameters)`
    `Browse(java.net.URI url)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected DataTable` | `constructParameters()`
    `java.net.URI` | `getUrl()`
    `void` | `setUrl(java.net.URI url)`

    - ### Methods inherited from class com.tibbo.aggregate.common.action.GenericActionCommand

      `clone, createDefaultResponse, equals, getComponentLocation, getParameters, getRequestId, getResponseFormat, getTitle, getType, hashCode, isBatchEntry, isInteractive, isLast, isResponseValid, setBatchEntry, setComponentLocation, setComponentLocation, setInteractive, setLast, setParameters, setRequestId, setTitle, setType, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### CF_BROWSE_URI

          public static final java.lang.String CF_BROWSE_URI

      See Also:
        Constant Field Values

    - #### CFT_BROWSE

          public static final TableFormat CFT_BROWSE

  - ### Constructor Detail

    - #### Browse

          public Browse()

    - #### Browse

          public Browse(java.net.URI url)

    - #### Browse

          public Browse(java.lang.String title,
                        DataTable parameters)

  - ### Method Detail

    - #### constructParameters

          protected DataTable constructParameters()

      Overrides:
        `constructParameters` in class `GenericActionCommand`

    - #### getUrl

          public java.net.URI getUrl()

    - #### setUrl

          public void setUrl(java.net.URI url)